Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature.simple
Interface SimpleFeatureType

All Superinterfaces:
  AttributeType, ComplexType, FeatureType, PropertyType

All Known Subinterfaces:
  SimpleFeatureCollectionType

    public interface SimpleFeatureType

extends FeatureType

Defines a simple feature model of attribute in a prescribed order.

This interface also defines several helper methods that only make sense given the above constraints.

For reference these are the limitations of a SimpleFeatureType:

1. Attributes - properties limited to attributes only!
2. Attributes - List collection - ie. order of attributes matters
3. Attribute lookup by index
4. Attribute lookup by name (ie String)
5. getSuper() is null, required for point 3

Name conflict is not permitted (in order to allow lookup by a simple String).

Method Summary
`List<AssociationDescriptor>` | `associations()` Associations not permitted in SimpleFeatureType.
`List<AttributeDescriptor>` | `attributes()` Attributes defining this SimpleFeatureType.
`AttributeDescriptor` | `getAttribute(int indedx)`
`AttributeDescriptor` | `getAttribute(String name)`
`int` | `getAttributeCount()` Number of available attributes
`List<AttributeDescriptor>` | `getAttributes()` List of named attributes in prescribed order
`GeometryType` | `getDefaultGeometryType()`
`List<StructuralDescriptor>` | `getProperties()` List of named attribute descriptors in prescribed order.
`SimpleFeatureType` | `getSuper()` Must be `null` for truly simple content.
`AttributeType` | `getType(int index)` AttribtueType indicated by index
`AttributeType` | `getType(String name)` Retrive attributeType by name.
`List<AttributeType>` | `getTypes()` Types are returned in the prescribed index order.
`int` | `indexOf(String name)` The index of the AttributeType with the provided name.

Methods inherited from interface FeatureType
`getCRS, getDefaultGeometry`

Methods inherited from interface ComplexType
`getBinding, isInline`

Methods inherited from interface AttributeType
`getOperations, getRestrictions, isAbstract, isIdentified`

Methods inherited from interface PropertyType
`equals, getDescription, getName, getUserData, hashCode, putUserData`

Method Detail

### getSuper

    SimpleFeatureType getSuper()

  Must be `null` for truly simple content.

  Specified by:
    `getSuper` in interface `AttributeType`
  Specified by:
    `getSuper` in interface `FeatureType`
  Specified by:
    `getSuper` in interface `PropertyType`
  Returns:
    `null`, as no super types are allowed

### getTypes

    List<AttributeType> getTypes()

  Types are returned in the prescribed index order.

  Returns:
    Types in prescribed order

### getDefaultGeometryType

    GeometryType getDefaultGeometryType()

  Returns:
    the default geometry type contained by the feature type, or null if none such exists.

### associations

    List<AssociationDescriptor> associations()

  Associations not permitted in SimpleFeatureType.

  Specified by:
    `associations` in interface `ComplexType`
  Returns:
    Collections.EMPTY_LIST

### attributes

    List<AttributeDescriptor> attributes()

  Attributes defining this SimpleFeatureType.

  Specified by:
    `attributes` in interface `ComplexType`
  Returns:
    List of AttribtueDescritor in order prescribed

### getProperties

    List<StructuralDescriptor> getProperties()

  List of named attribute descriptors in prescribed order.

  Specified by:
    `getProperties` in interface `ComplexType`
  Returns:
    Collection of StructuralDescriptors describing allowable contents

### getAttributes

    List<AttributeDescriptor> getAttributes()

  List of named attributes in prescribed order

### getType

    AttributeType getType(String name)

  Retrive attributeType by name.

  If you do run into a conflict (the same local part used in two namespace) please use a complete Qualified name to disambiguate.

### getAttribute

    AttributeDescriptor getAttribute(String name)

### getType

    AttributeType getType(int index)

  AttribtueType indicated by index

### getAttribute

    AttributeDescriptor getAttribute(int indedx)

### indexOf

    int indexOf(String name)

  The index of the AttributeType with the provided name.

  Parameters:
    `name` -
  Returns:
    index of named attribute, or -1 if not found.

### getAttributeCount

    int getAttributeCount()

  Number of available attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.